Subject: Re: bug#38370: 26.2; Confusing message 'Hunk already applied' in diff-mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 20 Aug 2020 11:29:51 -0400

> Yeah, I've always found that messaging to be confusing and worrisome, as
> if I had entered a command to change the source code instead of just
> moving around in it.

Hmm... I liked having that information without having to remember how to
run `diff-test-hunk`.  I agree it was more harmful than useful when moving
around as in the OP's case, but it was handy when using RET.

        Stefan